import javax.swing.*;
public class gastest1a
{
public static void main(String arg[])
{
Gas g=new Gas("air");
g.mole=false;
double T1=300.0;
double p1=1.0;
double a1[]=g.property(T1,p1);
Text.printT(a1);
double p2=10.0;
double pr2=p2/p1*a1[17];
double T2=g.Ti(pr2,p2);
System.out.println("T2="+(T2-273.15));
double a2[]=g.property(T2,p2);
double dh=(a2[3]-a1[3]);
double ds=(a2[5]-a1[5]);
JOptionPane.showMessageDialog(null,"dh="+dh+"KJ/kg "+"ds="+ds+"KJ/kgK ");
}}